none
Microsoft .NET Framework 4.7.1 Developer Pack is not supported on Windows 10 Pro

    Question

  • Hi,

    I tried to install .NET Framework 4.7.1 using web installer and also using offline installer, but there is a blocking issue which is not allowing to install the framework.

    Here are my operating system details.

    • OS Name: Microsoft Windows 10 Pro
    • OS Version: 10.0.10586 N/A Build 10586
    • OS Manufacturer: Microsoft Corporation
    • OS Configuration: Member Workstation
    • OS Build Type: Multiprocessor Free

    Currently .NET Framework 4.6.1 is available in the OS. Can some suggest how I can resolve this issue and install 4.7.1!

    Thanks,

    Avinash

    Friday, November 10, 2017 5:33 AM

Answers

  • Hi Avinash,

    Thank you for posting in MSDN forum.

    Please see: Announcing the .NET Framework 4.7.1 , the .NET Framework 4.7.1 is supported on the following Windows versions:

    • Windows 10 Fall Creators Update (included in-box)
    • Windows 10 Creators Update
    • Windows 10 Anniversary Update
    • Windows 8.1
    • Windows 7 SP1

    Currently, the reason is that your OS doesn't meet its system requirement, I have tested on my Win 10 10586, the same situation as yours:

     To solve this issue, please update your OS at least Win 10 14393 version .

    See also: NET Framework system requirements

    Best Regards


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    • Marked as answer by AviVarma Friday, November 10, 2017 7:44 AM
    Friday, November 10, 2017 7:20 AM
    Moderator

All replies

  • Hi Avinash,

    Thank you for posting in MSDN forum.

    Please see: Announcing the .NET Framework 4.7.1 , the .NET Framework 4.7.1 is supported on the following Windows versions:

    • Windows 10 Fall Creators Update (included in-box)
    • Windows 10 Creators Update
    • Windows 10 Anniversary Update
    • Windows 8.1
    • Windows 7 SP1

    Currently, the reason is that your OS doesn't meet its system requirement, I have tested on my Win 10 10586, the same situation as yours:

     To solve this issue, please update your OS at least Win 10 14393 version .

    See also: NET Framework system requirements

    Best Regards


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    • Marked as answer by AviVarma Friday, November 10, 2017 7:44 AM
    Friday, November 10, 2017 7:20 AM
    Moderator
  • Hi Lana,

    Thanks for your response and going to update Windows 10 Build 15063.

    Friday, November 10, 2017 7:50 AM
  • Hi AviVarma,

    You are welcome:)

    If you have any other question about installing .Net Framework, please feel free to contact us, we are willing to help you troubleshoot.

    Best Regards,


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Friday, November 10, 2017 7:52 AM
    Moderator